<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$planta=$_GET['planta'];
$mandante=$_GET['mandante'];
$transportista=$_GET['transportista'];

if ($connection)
{
	$query = $connection->query("
			SELECT distinct pdf as PDF
						  ,al.email as Usuario 
						  ,ap.identificador as Identificador
						  ,atr.transportista as Transportista
						  ,DATE_FORMAT(ap.fecha, '%d/%m/%Y %H:%i:%s') AS Fecha
						  ,apl.planta as Planta
						  ,CASE WHEN situacion = 1 THEN 'Aprobado' WHEN situacion = 0 THEN 'Rechazado' ELSE 'Sin Especificar' END as Situacion
						  ,pdf as pdf
			FROM app_PDF ap
			JOIN app_Login al ON ap.login = al.id
			JOIN Resultados_Checklist rc ON rc.identificador = ap.identificador
			JOIN app_Transportistas atr ON rc.transportista = atr.id
			JOIN app_Planta apl on rc.planta = apl.id
			WHERE YEAR(fecha) = $agno
			AND MONTH(fecha) = $mes
			AND rc.item = 0
			AND rc.pregunta = 0
			AND rc.planta = $planta
			AND rc.mandante = $mandante
			AND rc.transportista = $transportista
			AND date(ap.fecha) = date(rc.fechahora)
			AND ap.pdf LIKE '%Desviaciones%'
			ORDER BY fecha DESC
			");

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);
	
}
else
{
	echo "Error";
}

?>
