<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$mandante=$_GET['mandante'];
$transportista=$_GET['transportista'];

if ($connection)
{
	$query = $connection->query("
			SELECT count(ap.id) as total
			FROM app_PDF ap
			JOIN Resultados_Checklist rc ON rc.identificador = ap.identificador
			JOIN app_Transportistas atr ON rc.transportista = atr.id
			WHERE YEAR(fecha) = $agno
			AND MONTH(fecha) = $mes
            and rc.mandante = $mandante
            and rc.planta = $planta
            AND rc.transportista = $transportista
			AND rc.item = 0
			AND rc.pregunta = 0
			AND date(ap.fecha) = date(rc.fechahora)
            AND ap.situacion = 1
			ORDER BY fecha DESC;
			");
	
	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
