<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$mandante=$_GET['mandante'];
$transportista=$_GET['transportista'];

if ($connection)
{
	$query = $connection->query("
			SELECT COALESCE(atr.transportista, 'Sin datos') AS Transportista, COALESCE(COUNT(rc.respuesta), 0) AS Cantidad
			FROM Resultados_Checklist rc
			JOIN app_Transportistas atr ON rc.transportista = atr.id
			WHERE rc.item = 0
			AND rc.pregunta = 0 
			AND YEAR(rc.fechahora) = $agno
			AND MONTH(rc.fechahora) = $mes
			AND atr.mandante = $mandante
			AND rc.planta = $planta 
			AND rc.transportista = $transportista
			GROUP by atr.transportista; 
			");
	
	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	if($rows == NULL){
		$rows[0] = [
					"Transportista" => "Sin Datos",
				    "Cantidad" => "0",
				];
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
